import React, { PropTypes } from 'react'
import styled, { ThemeProvider, injectGlobal } from 'styled-components';
import Fonts from './Fonts'
import Reset from './Reset'
import GlobalStyles from './GlobalStyles'
import theme from './theme'
import Pane from './Pane'

const UIProviderChild = ({ is = 'div', ...props }) =>
  React.createElement(is, props)

const UIProvider = (props) => {
  return (
    <ThemeProvider theme={theme}>
      <UIProviderChild className='UIProvider' {...props} />
    </ThemeProvider>
  )
}

UIProvider.propTypes = {
  children: PropTypes.any
}

export default UIProvider
